View Maintenance History

This API allows the user to view the maintenance history of your account. You are allowed to filter the records between time range by passing the 'startTime' and 'endTime' as query parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://services.azuga.com/azuga-ws-oauth/v3/maintanance/reports/scheduledreport.json?startTime=2023-03-01 12:00:00 AM&endTime=2023-03-27 11:59:59 PM&isCount=false

{}

API Response explanation

FieldDescriptionData Type
generatedAtInMillisAPI generation time in UTC millisecondsLong
dataObject representing the details of the maintenance historyObject
vehicleNameName of the vehicleString
serviceTypeType of the service configuredString
assetNumberAsset number of the vehicleString
offsetOffset value representing the local time of the vehicle with UTCInteger
lastTimezoneLast timezone detected by the device from vehicle's locationString
vehicleIdUnique identifier representing the vehicleString
rulesetIdUnique identifier representing the rulesetString
groupNameName of the groupString
alertIdUnique identifier representing the maintenance alertString
alertNameName of the maintenance alertString
odoChoice

Boolean which represents whether the odometer reading is from the vehicle or manual calculation

True = Odo value from vehicle
False = Manual calculation by Azuga based on Initial odometer reading

Boolean
vehicleSupportedOdoVehicle supported odometer readingDouble
odoSupportedMileageOdometer reading from the vehicle as of the service dateDouble
serviceDateService date in UTC millisecondsTimestamp
serviceDateStrService date in mmm-dd-yyyy formatString
serviceDaysService days set for the vehicleInteger
reminderDaysReminder days set for the vehicleInteger
nextServiceDateNext service date in UTC millisecondsTimestamp
nextServiceDateStrNext service date in mmm-dd-yyyy formatString
initialMileageOdometer reading as of the service dateDouble
currentMileageOdometer reading as of current dateDouble
serviceMileageThe frequency of vehicle to be service from the last services mileageDouble
reminderMilesReminder miles of the vehicleDouble
nextServiceMileageNext service mileage of the vehicleDouble
intialEngineHrsInitial engine hours of the vehicleLong
intialEngineHrsStrInitial engine hours in time format of the vehicleString
currentEngineHrsCurrent engine hours of the vehicleLong
currentEngineHrsStrCurrent engine hours in time format of the vehicleString
serviceHrsService hours of the vehicleInteger
serviceHrsStrService hours in time format of the vehicleString
reminderEngineHrsReminder engine hours of the vehicleInteger
reminderEngineHrsStrReminder engine hours in time format of the vehicleString
nextEngineHrsNext engine hours of the vehicleLong
nextEngineHrsStrNext engine hours in time format of the vehicleString
rc0EnableBoolean representing whether Mileage(Miles) is enabled for the vehicle reminderboolean
rc1EnableBoolean representing whether Time Interval is enabled for the vehicle reminderboolean
rc2EnableBoolean representing whether Engine Run Time(Hrs) is enabled for the vehicle reminderboolean
trackeeTypeId

Unique identifier representing the type of the vehicle. The following values are valid:

1 - Vehicle
3 - Asset
5 - OEM

short
currentMileageAssetCurrent odometer reading of the assetDouble
currentEngineHrsAssetCurrent engine hours of the assetLong
alertCountFor Azuga internal useInteger
userNameName of the driver associated with the vehicleString
dueDaysNumber of days the service is dueint
upcoming

Boolean value representing whether the reminder is upcoming or not

True = Upcoming
False = Overdue

boolean
errorError description - if anyList<Error>
Query Params
date-time
required

Start time of the vehicle maintenance history needed in YYYY-MM-DD hh:mm:ss A format

date-time
required

End time of the vehicle maintenance history needed in YYYY-MM-DD hh:mm:ss A format

boolean
required

Boolean indicating whether you wish to have the data in grouped format. The valid group can be added to the field - filterKey which is a mandatory parameter if isCount is set to True

string

The type of grouping. Valid groups are serviceType, vehicleName and groupName

string

Add this field to filter the data based on groupId. Set the parameter isCount = false

string

Add this field to filter the data based on vehicleId. Set the parameter isCount = false.

string

Add this field to filter the data based on service type. Set the parameter isCount = false and filterKey = serviceType. Eg: filterValue: Battery%20Inspection

Body Params
string
required
Defaults to {}
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json